# Copyright (c) 2002 Speech and Acoustics Processing Lab., NAIST
#   All rights reserved
#
# $Id: Makefile.in,v 1.5 2002/09/11 22:28:38 ri Exp $
#
SHELL=/bin/sh
.SUFFIXES:
.SUFFIXES: .c .o
.c.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ -c $<

CC=@CC@
CFLAGS=@CFLAGS@
CPPFLAGS=@CPPFLAGS@ @DEFS@
LDFLAGS=@LIBS@
RM=@RM@ -f
prefix=@prefix@
exec_prefix=@exec_prefix@
INSTALL=@INSTALL@

OBJ=jcontrol.o server.o japi_misc.o japi_grammar.o
TARGET=jcontrol

all: $(TARGET)

$(TARGET): $(OBJ)
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $(OBJ) $(LDFLAGS)

install: install.bin install.man

install.bin: $(TARGET)
	${INSTALL} -d @bindir@
	@INSTALL_PROGRAM@ $(TARGET) @bindir@

install.man:
	${INSTALL} -d @mandir@/man1
	@INSTALL_DATA@ $(TARGET).man @mandir@/man1/$(TARGET).1

install.man.ja:
	${INSTALL} -d @mandir@/man1
	@INSTALL_DATA@ $(TARGET).man.ja @mandir@/man1/$(TARGET).1

clean:
	$(RM) $(OBJ)
	$(RM) config.log config.cache
	$(RM) *~ core

distclean:
	$(RM) $(OBJ)
	$(RM) config.log config.cache
	$(RM) *~ core
	$(RM) config.status
	$(RM) $(TARGET)
	$(RM) Makefile
